Package org.linphone.core

# Class AccountCreatorListenerStub

java.lang.Object
org.linphone.core.AccountCreatorListenerStub

All Implemented Interfaces:
  `AccountCreatorListener`

public class AccountCreatorListenerStub extends Object implements AccountCreatorListener

## Constructor Summary

Constructors
Constructor
Description
`AccountCreatorListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Get the callback on account creation request token.
`void`
`onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Get the callback on account creation token.
`void`
`onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the activate account request.
`void`
`onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)`
Get the activate alias request.
`void`
`onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the create account request.
`void`
`onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)`
Get the is account activated request.
`void`
`onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)`
Get the is account exist request.
`void`
`onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)`
Get the is account linked request.
`void`
`onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)`
Get the is alias used request.
`void`
`onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the link account request.
`void`
`onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the login linphone account request.
`void`
`onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the recover account request.
`void`
`onSendToken(AccountCreator creator, AccountCreator.Status status, String response)`
Get the activate account request.
`void`
`onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Get the update account request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountCreatorListenerStub

public AccountCreatorListenerStub()

## Method Details

### onCreateAccount

public void onCreateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the create account request.

Specified by:
  `onCreateAccount` in interface `AccountCreatorListener`

### onIsAccountExist

public void onIsAccountExist(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the is account exist request.

Specified by:
  `onIsAccountExist` in interface `AccountCreatorListener`

### onActivateAccount

public void onActivateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the activate account request.

Specified by:
  `onActivateAccount` in interface `AccountCreatorListener`

### onSendToken

public void onSendToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the activate account request.

Specified by:
  `onSendToken` in interface `AccountCreatorListener`

### onAccountCreationRequestToken

public void onAccountCreationRequestToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the callback on account creation request token.
In response:
-"token" is the request token to used with `AccountCreator.requestAccountCreationTokenUsingRequestToken()`
.
-"validation_url" is a URL to redirect the user into a browser for validation.
In status:
-LinphoneAccountCreatorStatusRequestOk: the request token should be in response
with the validation url.

Specified by:
  `onAccountCreationRequestToken` in interface `AccountCreatorListener`

### onAccountCreationTokenUsingRequestToken

public void onAccountCreationTokenUsingRequestToken(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the callback on account creation token.
In response, "token" is the token to pass to `AccountCreator.setToken(java.lang.String)`.
It is used for `AccountCreator.createAccount()`
In status:
-LinphoneAccountCreatorStatusRequestOk: token can be retrieved from the "token"
field in response.
-LinphoneAccountCreatorStatusRequestFailed: request token has not been
validated. Recall `AccountCreator.requestAccountCreationTokenUsingRequestToken()`
after some time.
-LinphoneAccountCreatorStatusMissingArguments: request_token has not been set
from `AccountCreator.setToken(java.lang.String)`.
-LinphoneAccountCreatorStatusServerError: URL is not reachable.

Specified by:
  `onAccountCreationTokenUsingRequestToken` in interface `AccountCreatorListener`

### onIsAccountActivated

public void onIsAccountActivated(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the is account activated request.

Specified by:
  `onIsAccountActivated` in interface `AccountCreatorListener`

### onLinkAccount

public void onLinkAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the link account request.

Specified by:
  `onLinkAccount` in interface `AccountCreatorListener`

### onActivateAlias

public void onActivateAlias(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the activate alias request.

Specified by:
  `onActivateAlias` in interface `AccountCreatorListener`

### onIsAliasUsed

public void onIsAliasUsed(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the is alias used request.

Specified by:
  `onIsAliasUsed` in interface `AccountCreatorListener`

### onIsAccountLinked

public void onIsAccountLinked(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the is account linked request.

Specified by:
  `onIsAccountLinked` in interface `AccountCreatorListener`

### onRecoverAccount

public void onRecoverAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the recover account request.

Specified by:
  `onRecoverAccount` in interface `AccountCreatorListener`

### onUpdateAccount

public void onUpdateAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the update account request.

Specified by:
  `onUpdateAccount` in interface `AccountCreatorListener`

### onLoginLinphoneAccount

public void onLoginLinphoneAccount(@NonNull AccountCreator creator, AccountCreator.Status status, @Nullable String response)
Description copied from interface: `AccountCreatorListener`
Get the login linphone account request.

Specified by:
  `onLoginLinphoneAccount` in interface `AccountCreatorListener`